Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_PBE_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_PBE_PARAMS

public class CK_PBE_PARAMS
extends Object

class CK_PBE_PARAMS provides all of the necessary information required byte the CKM_PBE mechanisms and the CKM_PBA_SHA1_WITH_SHA1_HMAC mechanism.

PKCS#11 structure:

     typedef struct CK_PBE_PARAMS {
       CK_CHAR_PTR pInitVector;
       CK_CHAR_PTR pPassword;
       CK_ULONG ulPasswordLen;
       CK_CHAR_PTR pSalt;
       CK_ULONG ulSaltLen;
       CK_ULONG ulIteration;
     } CK_PBE_PARAMS;

Field Summary
`char[]` | `pInitVector` PKCS#11: CK_CHAR_PTR pInitVector;
`char[]` | `pPassword` PKCS#11: CK_CHAR_PTR pPassword; CK_ULONG ulPasswordLen;
`char[]` | `pSalt` PKCS#11: CK_CHAR_PTR pSalt CK_ULONG ulSaltLen;
`long` | `ulIteration` PKCS#11: CK_ULONG ulIteration;

Constructor Summary
`CK_PBE_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_PBE_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pInitVector

    public char[] pInitVector

  PKCS#11:

         CK_CHAR_PTR pInitVector;

### pPassword

    public char[] pPassword

  PKCS#11:

         CK_CHAR_PTR pPassword;
         CK_ULONG ulPasswordLen;

### pSalt

    public char[] pSalt

  PKCS#11:

         CK_CHAR_PTR pSalt
         CK_ULONG ulSaltLen;

### ulIteration

    public long ulIteration

  PKCS#11:

         CK_ULONG ulIteration;

Constructor Detail

### CK_PBE_PARAMS

    public CK_PBE_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_PBE_PARAMS.

  Returns:
    the string representation of CK_PBE_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.